=== debian/changelog ===
xcsoar (6.6.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 08 May 2013 10:23:37 +0200

xcsoar (6.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 23 Apr 2013 09:22:27 +0200

xcsoar (6.6~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 19 Apr 2013 22:30:07 +0200

xcsoar (6.6~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 13 Apr 2013 23:51:40 +0200

xcsoar (6.6~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 05 Apr 2013 22:12:25 +0200

xcsoar (6.6~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 21 Mar 2013 08:27:54 +0100

xcsoar (6.5.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 10 Apr 2013 08:51:28 +0200

xcsoar (6.5.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 26 Mar 2013 19:41:25 +0100

xcsoar (6.5.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 15 Mar 2013 19:33:09 +0100

xcsoar (6.5.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 12 Mar 2013 12:18:13 +0100

xcsoar (6.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 08 Mar 2013 08:50:12 +0100

xcsoar (6.5~beta3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 05 Mar 2013 00:34:25 +0100

xcsoar (6.5~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 27 Feb 2013 16:35:08 +0100

xcsoar (6.5~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Feb 2013 21:17:30 +0100

xcsoar (6.5~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 07 Feb 2013 22:21:30 +0100

xcsoar (6.5~alpha1) unstable; urgency=low

  * new release
  * move manuals to separate documentation package

 -- Max Kellermann <max@duempel.org>  Sun, 27 Jan 2013 23:08:17 +0100

xcsoar (6.4.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 23 Jan 2013 11:21:14 +0100

xcsoar (6.4.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 14 Dec 2012 21:42:52 +0100

xcsoar (6.4.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 15 Nov 2012 00:37:09 +0100

xcsoar (6.4.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 01 Nov 2012 16:31:28 +0100

xcsoar (6.4.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 17 Oct 2012 00:51:00 +0200

xcsoar (6.4.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 30 Aug 2012 00:36:26 +0200

xcsoar (6.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 31 Jul 2012 19:11:10 +0200

xcsoar (6.4~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 28 Jul 2012 17:19:40 +0200

xcsoar (6.4~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 21 Jul 2012 00:25:36 +0200

xcsoar (6.4~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 06 Jul 2012 02:19:38 +0200

xcsoar (6.4~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 28 Jun 2012 02:27:48 +0200

xcsoar (6.3.11) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 27 Jul 2012 17:49:26 +0200

xcsoar (6.3.10) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 20 Jul 2012 13:24:09 +0200

xcsoar (6.3.9) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 18 Jul 2012 13:21:33 +0200

xcsoar (6.3.8) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Jun 2012 23:23:01 +0200

xcsoar (6.3.7) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 21 Jun 2012 23:21:22 +0200

xcsoar (6.3.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 06 Jun 2012 22:28:34 +0200

xcsoar (6.3.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 31 May 2012 20:20:43 +0200

xcsoar (6.3.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 24 May 2012 01:25:55 +0200

xcsoar (6.3.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 05 May 2012 01:10:43 +0200

xcsoar (6.3.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 26 Apr 2012 17:48:36 +0200

xcsoar (6.3.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 19 Apr 2012 22:16:53 +0200

xcsoar (6.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 29 Mar 2012 00:34:47 +0200

xcsoar (6.3~beta3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 23 Mar 2012 11:29:24 +0100

xcsoar (6.3~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Mar 2012 17:43:04 +0100

xcsoar (6.3~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Mar 2012 02:23:58 +0100

xcsoar (6.3~alpha3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 25 Feb 2012 17:30:04 +0100

xcsoar (6.3~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sun, 19 Feb 2012 15:17:55 +0100

xcsoar (6.3~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 09 Feb 2012 22:05:08 +0100

xcsoar (6.2.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 25 Feb 2012 10:20:25 +0100

xcsoar (6.2.5) unstable; urgency=low

  * new release

